%define major 3
%define libname %mklibname gadu %{major}
%define develname %mklibname gadu -d

Name:		libgadu
Version:	1.12.2
Release:	%mkrel 5
Summary:	A Gadu-gadu protocol compatible library
License:	LGPLv2+
Group:		Networking/Instant messaging
Url:		https://libgadu.net/
Source0:	https://github.com/wojtekka/libgadu/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch0:		libgadu-1.12.2-mga-multiple-defs.patch
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	doxygen
BuildRequires:	pkgconfig(expat)
BuildRequires:	gsm-devel
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libprotobuf-c)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(zlib)

%description
The libgadu is intended to make it easy to add Gadu-Gadu communication
support to your software.


%package -n %{libname}
Summary:	A Gadu-gadu protocol compatible library
Group:		Networking/Instant messaging

%description -n %{libname}
The libgadu is intended to make it easy to add Gadu-Gadu communication
support to your software.


%package -n %{develname}
Summary:	Development files for libgadu library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gadu-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{mklibname gadu 3 -d} < %{version}-%{release}
Obsoletes:	%{mklibname gadu -s -d} < %{version}-%{release}

%description -n %{develname}
Development files for libgadu library.


%prep
%autosetup -p1
touch packets.proto

%build
%configure \
	--disable-static \
	--with-pthread \
	--without-bind \
	--without-openssl \
	--with-c99-vsnprintf

./protobufgen.sh
%make_build

%check
make check

%install
%make_install

# don't ship .la
rm -f %{buildroot}%{_libdir}/%{name}.la

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.12.2-5.mga10
+ Revision: 2212646
- Mageia 10 Mass Rebuild

* Wed Mar 30 2022 umeabot <umeabot> 1.12.2-4.mga9
+ Revision: 1834059
- Mageia 9 Mass Rebuild

* Tue May 12 2020 danf <danf> 1.12.2-3.mga8
+ Revision: 1583330
- Add patch to fix multiple definition errors
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.12.2-2.mga7
+ Revision: 1298854
- Mageia 7 Mass Rebuild

* Sun Feb 12 2017 luigiwalser <luigiwalser> 1.12.2-1.mga6
+ Revision: 1085837
- 1.12.2

* Mon Jan 11 2016 luigiwalser <luigiwalser> 1.12.1-2.mga6
+ Revision: 921817
- rebuild for gnutls

* Tue Dec 01 2015 luigiwalser <luigiwalser> 1.12.1-1.mga6
+ Revision: 907503
- 1.12.1

* Wed Oct 15 2014 umeabot <umeabot> 1.12.0-4.mga5
+ Revision: 742069
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.12.0-3.mga5
+ Revision: 681470
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 diogenese <diogenese> 1.12.0-2.mga5
+ Revision: 672455
- Added check, fixed xml2 build require
- Added check section

* Fri Sep 05 2014 diogenese <diogenese> 1.12.0-1.mga5
+ Revision: 672412
- Updated source to 1.12.0

* Mon May 19 2014 luigiwalser <luigiwalser> 1.11.4-1.mga5
+ Revision: 623847
- 1.11.4

* Mon Feb 10 2014 luigiwalser <luigiwalser> 1.11.3-1.mga5
+ Revision: 589137
- 1.11.3 (fixes CVE-2013-6487)

* Fri Oct 25 2013 luigiwalser <luigiwalser> 1.11.2-6.mga4
+ Revision: 546903
- fix spelling error in package summary (mga#11525)

* Fri Oct 18 2013 umeabot <umeabot> 1.11.2-5.mga4
+ Revision: 506979
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.11.2-4.mga3
+ Revision: 357145
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 kamil <kamil> 1.11.2-3.mga3
+ Revision: 327397
- Rebuild for Mga3 Beta1

* Sat Dec 01 2012 kamil <kamil> 1.11.2-2.mga3
+ Revision: 324594
- rebuild for Mga3 Beta1

* Fri Jul 06 2012 fwang <fwang> 1.11.2-1.mga3
+ Revision: 268361
- new version 1.11.2

* Sun Jan 29 2012 kamil <kamil> 1.11.1-1.mga2
+ Revision: 202876
- new version 1.11.1
+ fwang <fwang>
- rebuild for new gnutls

* Fri Jul 08 2011 ahmad <ahmad> 1.11.0-1.mga2
+ Revision: 120188
- Update to 1.11.0

* Thu Mar 31 2011 ahmad <ahmad> 1.10.1-1.mga1
+ Revision: 79345
- update to 1.10.1
- drop patch0, fixed upstream
- add BR gnutls-devel doxygen

* Thu Mar 24 2011 boklm <boklm> 1.9.1-4.mga1
+ Revision: 76167
- rebuild for bug #497

* Wed Mar 23 2011 ahmad <ahmad> 1.9.1-3.mga1
+ Revision: 76016
- rebuild for new glibc (attempting to fix a crash in kadu)

* Thu Jan 20 2011 ahmad <ahmad> 1.9.1-2.mga1
+ Revision: 26452
- don't ship .la
- drop old/unneeded scriptlets
- imported package libgadu


* Sun Nov 28 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.1-1mdv2011.0
+ Revision: 602353
- update to new version 1.9.1

* Thu Jul 15 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0-1mdv2011.0
+ Revision: 553709
- update to new version 1.9.0
- Patch0: fix memory leak

* Tue Mar 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0-0.rc3.1mdv2010.1
+ Revision: 522306
- update to new version 1.9.0-rc3

* Thu Nov 19 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0-0.rc2.1mdv2010.1
+ Revision: 467528
- update to new version 1.9.0-rc2

* Fri Oct 09 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0-0.rc1.2mdv2010.0
+ Revision: 456420
- this is just a noop if it won't work i'll revert asap

* Sun Sep 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.9.0-0.rc1.1mdv2010.0
+ Revision: 445064
- update to new version 1.9.0-rc1

  + Christophe Fergeau <cfergeau@mandriva.com>
    - rebuild

* Tue Nov 04 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.8.2-1mdv2009.1
+ Revision: 299840
- update to new version 1.8.2 (security fixes)

* Mon Jul 07 2008 Adam Williamson <awilliamson@mandriva.org> 1.8.1-2mdv2009.0
+ Revision: 232634
- replace arbitrary obsolete version with < %%version-%%release
- really obsolete static devel library (changelog indicated this had been done
  but it had not)

* Sun Jun 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.8.1-1mdv2009.0
+ Revision: 227838
- update to new version 1.8.1

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.8.0-2mdv2009.0
+ Revision: 212061
- properlly obsolete static library

* Mon Feb 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.8.0-1mdv2008.1
+ Revision: 175174
- new version

* Thu Jan 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.90-0.svn513.2mdv2008.1
+ Revision: 153938
- rebuild due to wrong tag

* Tue Jan 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.90-0.svn513.1mdv2008.1
+ Revision: 152005
- update to the latest upstream svn revision, upcoming kadu 0.6.0 need this

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.1-7mdv2008.1
+ Revision: 113534
- disable support for SSL, as it is incompataibile with GPL license and Gadu-Gadu network still do not use it, and probably will never do

* Sun Nov 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.1-6mdv2008.1
+ Revision: 105862
- disable compiling of static library, as it is really useless
- do not ship COPYING files, thus no docs at all ;)
- new license policy

* Wed Jun 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.1-5mdv2008.0
+ Revision: 41835
- obsolete static-devel library

* Wed Jun 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.1-4mdv2008.0
+ Revision: 41820
- new devel library policy

* Wed Jun 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.1-3mdv2008.0
+ Revision: 38638
- disable debug
- static pkg requires devel

* Wed Jun 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.1-2mdv2008.0
+ Revision: 38419
- fix typo

* Tue Jun 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.1-1mdv2008.0
+ Revision: 38311
- libgadu has beed exhaled from ekg
- new version
- Import libgadu

